Add test for netinet/ip6.h and getaddrinfo, to enable IPv6.

This commit is contained in:
Bruce Momjian 2003-01-06 06:06:04 +00:00
parent 895f954f24
commit f240746739
2 changed files with 109 additions and 2 deletions

105
configure vendored
View File

@ -10028,6 +10028,108 @@ fi
echo "$as_me:$LINENO: result: $ac_cv_func_getaddrinfo" >&5
echo "${ECHO_T}$ac_cv_func_getaddrinfo" >&6
if test $ac_cv_func_getaddrinfo = yes; then
if test "${ac_cv_header_netinet_ip6_h+set}" = set; then
echo "$as_me:$LINENO: checking for netinet/ip6.h" >&5
echo $ECHO_N "checking for netinet/ip6.h... $ECHO_C" >&6
if test "${ac_cv_header_netinet_ip6_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
echo "$as_me:$LINENO: result: $ac_cv_header_netinet_ip6_h" >&5
echo "${ECHO_T}$ac_cv_header_netinet_ip6_h" >&6
else
# Is the header compilable?
echo "$as_me:$LINENO: checking netinet/ip6.h usability" >&5
echo $ECHO_N "checking netinet/ip6.h usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
$ac_includes_default
#include <netinet/ip6.h>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6
# Is the header present?
echo "$as_me:$LINENO: checking netinet/ip6.h presence" >&5
echo $ECHO_N "checking netinet/ip6.h presence... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <netinet/ip6.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc in
yes:no )
{ echo "$as_me:$LINENO: WARNING: netinet/ip6.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: netinet/ip6.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/ip6.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: netinet/ip6.h: proceeding with the preprocessor's result" >&2;};;
no:yes )
{ echo "$as_me:$LINENO: WARNING: netinet/ip6.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: netinet/ip6.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/ip6.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: netinet/ip6.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/ip6.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: netinet/ip6.h: proceeding with the preprocessor's result" >&2;};;
esac
echo "$as_me:$LINENO: checking for netinet/ip6.h" >&5
echo $ECHO_N "checking for netinet/ip6.h... $ECHO_C" >&6
if test "${ac_cv_header_netinet_ip6_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_netinet_ip6_h=$ac_header_preproc
fi
echo "$as_me:$LINENO: result: $ac_cv_header_netinet_ip6_h" >&5
echo "${ECHO_T}$ac_cv_header_netinet_ip6_h" >&6
fi
if test $ac_cv_header_netinet_ip6_h = yes; then
HAVE_IPV6="yes"; cat >>confdefs.h <<\_ACEOF
#define HAVE_IPV6 1
_ACEOF
@ -10035,6 +10137,9 @@ _ACEOF
fi
fi
echo "$as_me:$LINENO: checking for PS_STRINGS" >&5
echo $ECHO_N "checking for PS_STRINGS... $ECHO_C" >&6

View File

@ -1,5 +1,5 @@
dnl Process this file with autoconf to produce a configure script.
dnl $Header: /cvsroot/pgsql/configure.in,v 1.226 2003/01/06 05:46:18 momjian Exp $
dnl $Header: /cvsroot/pgsql/configure.in,v 1.227 2003/01/06 06:06:04 momjian Exp $
dnl
dnl Developers, please strive to achieve this order:
dnl
@ -788,7 +788,9 @@ AC_CHECK_DECLS(fdatasync, [], [], [#include <unistd.h>])
# This exports HAVE_IPV6 to both C files and Makefiles
AC_CHECK_FUNC(getaddrinfo,
[HAVE_IPV6="yes"; AC_DEFINE(HAVE_IPV6, 1, [])], [])
[AC_CHECK_HEADER(netinet/ip6.h,
[HAVE_IPV6="yes"; AC_DEFINE(HAVE_IPV6, 1, [])],
[])])
AC_SUBST(HAVE_IPV6)
AC_CACHE_CHECK([for PS_STRINGS], [pgac_cv_var_PS_STRINGS],